# BEGIN SourceDeps(oneline):
BuildRequires: waf
# END SourceDeps(oneline)
Summary:	Daemon for exposing ALSA sequencer applications in JACK MIDI system
Name:		a2jmidid
Version:	8
Release:	alt1_10
URL:		http://home.gna.org/a2jmidid/
Source0:	http://download.gna.org/%{name}/%{name}-%{version}.tar.bz2
# a2jmidi_bridge.c and j2amidi_bridge.c are GPLv2+
# The rest is GPLv2
# Fix DSO linking: https://gna.org/support/index.php?2934
Patch0:		a2jmidid-linking.patch
Patch1:		a2jmidid-man.patch
Patch2:		a2jmidid-aarch64.patch
License:	GPLv2 and GPLv2+
Group:		Sound

BuildRequires:	libalsa-devel
BuildRequires:	libdbus-devel
BuildRequires:	libjack-devel
BuildRequires:	python
Requires:	dbus
Source44: import.info


%description
a2jmidid is a project that aims to ease usage of legacy ALSA sequencer
applications, in a JACK MIDI enabled system. There are two ways to use legacy
ALSA sequencer applications in JACK MIDI system.

The first approach is to use automatic bridging. For every ALSA sequencer port
you get one JACK MIDI port. If ALSA sequencer port is both input and output
one, you get two JACK MIDI ports, one input and output.

The second approach is to static bridges. You start application that creates
one ALSA sequencer port and one JACK MIDI port. Such bridge is unidirectional.

%prep
%setup -q
%patch0 -p1 -b .dso.linking
%patch1 -p1 -b .man
%patch2 -p1 -b .aarch64

%build
export CFLAGS="%{optflags}"
./waf configure --prefix=%{_prefix} \
	--enable-pkg-config-dbus-service-dir
./waf %{?_smp_mflags} -v

%install
./waf --destdir=%{buildroot} -v	install

%files
%doc AUTHORS README gpl2.txt NEWS
%{_bindir}/a2j
%{_bindir}/%{name}
%{_bindir}/a2j_control
%{_bindir}/a2jmidi_bridge
%{_bindir}/j2amidi_bridge
%{_datadir}/dbus-1/services/org.gna.home.a2jmidid.service
%{_mandir}/man1/a2j*
%{_mandir}/man1/j2a*

%changelog
* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 8-alt1_10
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 8-alt1_9
- update to new release by fcimport

* Wed Oct 29 2014 Igor Vlasenko <viy@altlinux.ru> 8-alt1_8
- update to new release by fcimport

* Wed Sep 10 2014 Igor Vlasenko <viy@altlinux.ru> 8-alt1_7
- update to new release by fcimport

* Tue Jul 01 2014 Igor Vlasenko <viy@altlinux.ru> 8-alt1_6
- update to new release by fcimport

* Thu Aug 22 2013 Igor Vlasenko <viy@altlinux.ru> 8-alt1_5
- update to new release by fcimport

* Thu Apr 25 2013 Igor Vlasenko <viy@altlinux.ru> 8-alt1_4
- initial fc import

